Bug 484513 - "yum update" fails on fresh f11 install due to conflict between x86_64 and i386 packages
"yum update" fails on fresh f11 install due to conflict between x86_64 and i3...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-07 12:35 EST by Alan F Young
Modified: 2009-02-11 03:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-11 03:27:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alan F Young 2009-02-07 12:35:32 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-GB; rv:1.9.1b2) Gecko/20090128 Firefox/3.1-0.4.beta2.fc11 Minefield/3.1b2

Around 16:00 UTC today I issued the "yum update" command from a terminal on a freshly-installed F11 Alpha x86_64 system.

yum informed me (amongst other things) that it would be:

Installing:
 ibus                           i386   1.1.0.20090205-1.fc11      rawhide 407 k
     replacing  ibus-pinyin.noarch 0.1.1.20081004-2.fc11

 ibus                           x86_64 1.1.0.20090205-1.fc11      rawhide 414 k
     replacing  ibus-chewing.x86_64 0.1.1.20081023-2.fc11

However, the command later failed with 100 Transaction Check Error messages, all of them ending "conflicts between attempted installs of ibus-1.1.0.20090205-1.fc11.x86_64 and ibus-1.1.0.20090205-1.fc11.i386".

Issuing the command "rm /var/cache/yum/rawhide/packages/ibus-1.1.0.20090205-1.fc11.i386.rpm" and re-running "yum update" resulted in the removed package being re-downloaded and the process failing as before.

Re-issuing he command "rm /var/cache/yum/rawhide/packages/ibus-1.1.0.20090205-1.fc11.i386.rpm" and running "yum -C update" failed with the message "Error Downloading Packages:
  ibus-1.1.0.20090205-1.fc11.i386: Caching enabled but no local cache of //var/cache/yum/rawhide/packages/ibus-1.1.0.20090205-1.fc11.i386.rpm from rawhide".

Reproducible: Always

Steps to Reproduce:
1. Run "yum update" - fails as described above.
2. Run "rm /var/cache/yum/rawhide/packages/ibus-1.1.0.20090205-1.fc11.i386.rpm"
3. Run "yum update" again - this again fails as already described.
4. Re-run "rm /var/cache/yum/rawhide/packages/ibus-1.1.0.20090205-1.fc11.i386.rpm"
5. Run "yum -C update" - this too fails as described above.
Actual Results:  
"yum update" fails to complete.

Expected Results:  
"yum update" completes successfully.
Comment 1 Jens Petersen 2009-02-09 04:38:38 EST
Huang Peng suggested splitting libibus.so.0* out of the main ibus package should fix this.
Comment 2 Peng Huang 2009-02-11 03:27:37 EST
I split libibus.so.* out of main package. Please test it.

Note You need to log in before you can comment on or make changes to this bug.